Catmandu::Fix::aref_query(3pm)

NAME
Catmandu::Fix::aref_query - copy values of RDF in aREF to a new field

SYNOPSIS
In Catmandu Fix language

    aref_query( dc_title => title )
    aref_query( query => 'dc_title', field => 'title' )
    aref_query( 'http://example.org/subject', dc_title => title )

In Perl code

    use Catmandu::Fix::aref_query as => 'my_query';
    use RDF::aREF;

    my $rdf = encode_aref("example.ttl");
    my_query( $rdf, dc_title => 'title' );

DESCRIPTION
This Catmandu::Fix can be used to map values of imported RDF, given in aREF <http://gbv.github.io/aREF/> structure

ARGUMENTS

subject
    Optional subject URI (first argument). By default, the fields "_uri" and "_uri" are used.

query
    aREF query expression (first or second argument)

path
    Field name to map RDF data to (last argument). Existing values are also kept.

SEE ALSO
Function "aref_query" in RDF::aREF